Contents

Attach File to Wiki

[Notice] Starting July 14, 2026, we are changing how we provide Wiki:

  • New spaces: Wiki is not available.
  • Existing spaces: Wiki is off by default for new projects. You can turn it on in project settings.

For details, see Important Notice: Discontinuing Wiki for New Spaces and Updating Default Settings for New Projects(Open in new tab).


Wiki API endpoints still work. Discontinuing Wiki in the future will affect API integrations, and we’ll give you ample notice beforehand.

Attaches file to Wiki

Role

Administrator
Normal User

Method

POST

URL

/api/v2/wikis/:wikiId/attachments

URL parameters

Parameter NameTypeDescription
wikiIdNumberWiki page’s ID

Form parameters

Content-Type:application/x-www-form-urlencoded
Parameter NameTypeDescription
attachmentId[]
(複数指定可)
NumberID returned by send attachment API

Response example

Status Line / Response Header

HTTP/1.1 200 OK
Content-Type:application/json;charset=utf-8

Response Body

[
    {
        "id": 2,
        "name": "Duke.png",
        "size": 196186,
        "createdUser": {
            "id": 1,
            "userId": "admin",
            "name": "admin",
            "roleType": 1,
            "lang": null,
            "nulabAccount": {
                "nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
                "name": "admin",
                "uniqueId": "admin"
            },
            "mailAddress": "eguchi@nulab.example",
            "lastLoginTime": "2022-09-01T06:35:39Z"
        },
        "created": "2014-07-11T06:26:05Z"
    },
    // ...
]